List
GET/models/{modelId}/presets
List all presets for the given modelId
List
curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/presets \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"{
"presets": [
{
"id": "id",
"authorId": "authorId",
"createdAt": "createdAt",
"isDefault": true,
"modelId": "modelId",
"ownerId": "ownerId",
"parameters": {
"prompt": "prompt",
"type": "controlnet",
"aspectRatio": "16:9",
"baseModelId": "baseModelId",
"concepts": [
{
"modelId": "modelId",
"scale": -2,
"modelEpoch": "modelEpoch"
}
],
"controlEnd": 0.1,
"controlImage": "controlImage",
"controlImageId": "controlImageId",
"controlStart": 0,
"disableMerging": true,
"disableModalityDetection": true,
"guidance": 0,
"height": 64,
"hideResults": true,
"image": "image",
"imageId": "imageId",
"intermediateImages": true,
"ipAdapterImage": "ipAdapterImage",
"ipAdapterImageId": "ipAdapterImageId",
"ipAdapterImageIds": [
"string"
],
"ipAdapterImages": [
"string"
],
"ipAdapterScale": 0,
"ipAdapterScales": [
0
],
"ipAdapterType": "character",
"mask": "mask",
"maskId": "maskId",
"modality": "modality",
"modelEpoch": "modelEpoch",
"negativePrompt": "negativePrompt",
"negativePromptStrength": 0,
"numInferenceSteps": 1,
"numSamples": 1,
"referenceAdain": true,
"referenceAttn": true,
"scheduler": "DDIMScheduler",
"seed": "seed",
"strength": 0.01,
"styleFidelity": 0,
"width": 64
},
"updatedAt": "updatedAt"
}
]
}Returns Examples
{
"presets": [
{
"id": "id",
"authorId": "authorId",
"createdAt": "createdAt",
"isDefault": true,
"modelId": "modelId",
"ownerId": "ownerId",
"parameters": {
"prompt": "prompt",
"type": "controlnet",
"aspectRatio": "16:9",
"baseModelId": "baseModelId",
"concepts": [
{
"modelId": "modelId",
"scale": -2,
"modelEpoch": "modelEpoch"
}
],
"controlEnd": 0.1,
"controlImage": "controlImage",
"controlImageId": "controlImageId",
"controlStart": 0,
"disableMerging": true,
"disableModalityDetection": true,
"guidance": 0,
"height": 64,
"hideResults": true,
"image": "image",
"imageId": "imageId",
"intermediateImages": true,
"ipAdapterImage": "ipAdapterImage",
"ipAdapterImageId": "ipAdapterImageId",
"ipAdapterImageIds": [
"string"
],
"ipAdapterImages": [
"string"
],
"ipAdapterScale": 0,
"ipAdapterScales": [
0
],
"ipAdapterType": "character",
"mask": "mask",
"maskId": "maskId",
"modality": "modality",
"modelEpoch": "modelEpoch",
"negativePrompt": "negativePrompt",
"negativePromptStrength": 0,
"numInferenceSteps": 1,
"numSamples": 1,
"referenceAdain": true,
"referenceAttn": true,
"scheduler": "DDIMScheduler",
"seed": "seed",
"strength": 0.01,
"styleFidelity": 0,
"width": 64
},
"updatedAt": "updatedAt"
}
]
}